/***************************************************
//Web: http://www.buydisplay.com
EastRising Technology Co.,LTD
Examples for ERM19296-1
Display is Hardward SPI 4-Wire SPI Interface 
Tested and worked with: 
Works with Raspberry pi
****************************************************/

#include <bcm2835.h>
#include <stdio.h>
#include <time.h>
#include "lcd.h"

char value[10] = {'0', '1', '2', '3', '4', '5', '6', '7', '8', '9'};
int main(int argc, char **argv)
{
    time_t now;
    struct tm *timenow;
    if(!bcm2835_init())
    {
        return -1;
    }
    printf("LCD begin\r\n");
    lcd_begin();
    printf("LCD bitmap\r\n");
    lcd_bitmap(0, 0, PIC1, 192, 96);
    lcd_display();
    bcm2835_delay(3000);
    printf("LCD clear\r\n");
    lcd_clear();
    printf("LCD bitmap\r\n");
    lcd_bitmap(0, 0, PIC2, 192, 96);
    lcd_display();
    bcm2835_delay(3000);

    printf("LCD clear\r\n");
    lcd_clear();
    printf("LCD bitmap_4gray\r\n");
    er_lcd_bitmap_gray(0, 0, PIC3, 192, 96);
    er_lcd_display_gray();
    bcm2835_delay(3000);


    command(0xf0);   // Display Mode
    data(0x10);  // Monochrome Mode
    printf("LCD clear\r\n");
    lcd_clear();
    printf("LCD display time\r\n");
    while(1)
    {
        time(&now);
        timenow = localtime(&now);

        lcd_bitmap(0, 2, Signal816, 16, 8); 
        lcd_bitmap(40, 2, Bluetooth88, 8, 8); 
        lcd_bitmap(72, 2, Msg816, 16, 8); 
        lcd_bitmap(112, 2, GPRS88, 8, 8); 
        lcd_bitmap(144, 2, Alarm88, 8, 8); 
        lcd_bitmap(176, 2, Bat816, 16, 8); 

	if((timenow->tm_sec % 2)==0)
        lcd_string(42, 84, "www.buydisplay.com", 12, 0); 
        else
        lcd_string(42, 84, "www.buydisplay.com", 12, 1); 

        lcd_char3216(32, 32, value[timenow->tm_hour / 10]);
        lcd_char3216(48, 32, value[timenow->tm_hour % 10]);
        lcd_char3216(64, 32, ':');
        lcd_char3216(80, 32, value[timenow->tm_min / 10]);
        lcd_char3216(96, 32, value[timenow->tm_min % 10]);
        lcd_char3216(112, 32, ':');
        lcd_char3216(128, 32, value[timenow->tm_sec / 10]);
        lcd_char3216(144, 32, value[timenow->tm_sec % 10]);
        
        lcd_display();
    }
    bcm2835_spi_end();
    bcm2835_close();
    return 0;
}

